Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1087)
@@ -55,4 +55,5 @@
       this.chProgress = new System.Windows.Forms.ColumnHeader();
       this.gbCommon = new System.Windows.Forms.GroupBox();
+      this.pbGraph = new System.Windows.Forms.PictureBox();
       this.lbJobsAborted = new System.Windows.Forms.Label();
       this.lbJobdone = new System.Windows.Forms.Label();
@@ -86,14 +87,14 @@
       this.lbServerIPCaption = new System.Windows.Forms.Label();
       this.lbPortCaption = new System.Windows.Forms.Label();
-      this.pbGraph = new System.Windows.Forms.PictureBox();
+      this.btn_clientShutdown = new System.Windows.Forms.Button();
       this.tcClientConsole.SuspendLayout();
       this.tpConnection.SuspendLayout();
       this.gbJobCommon.SuspendLayout();
       this.gbCommon.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbGraph)).BeginInit();
       this.gbEventLog.SuspendLayout();
       this.tabPage2.SuspendLayout();
       this.gbOnlineTime.SuspendLayout();
       this.gbServerConnection.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbGraph)).BeginInit();
       this.SuspendLayout();
       // 
@@ -184,4 +185,13 @@
       this.gbCommon.Text = "Common";
       // 
+      // pbGraph
+      // 
+      this.pbGraph.Location = new System.Drawing.Point(292, 19);
+      this.pbGraph.Name = "pbGraph";
+      this.pbGraph.Size = new System.Drawing.Size(112, 108);
+      this.pbGraph.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
+      this.pbGraph.TabIndex = 21;
+      this.pbGraph.TabStop = false;
+      // 
       // lbJobsAborted
       // 
@@ -366,7 +376,7 @@
       this.gbOnlineTime.BackColor = System.Drawing.SystemColors.Control;
       this.gbOnlineTime.Controls.Add(this.label1);
-      this.gbOnlineTime.Location = new System.Drawing.Point(9, 117);
+      this.gbOnlineTime.Location = new System.Drawing.Point(9, 127);
       this.gbOnlineTime.Name = "gbOnlineTime";
-      this.gbOnlineTime.Size = new System.Drawing.Size(409, 354);
+      this.gbOnlineTime.Size = new System.Drawing.Size(409, 344);
       this.gbOnlineTime.TabIndex = 4;
       this.gbOnlineTime.TabStop = false;
@@ -385,4 +395,5 @@
       // gbServerConnection
       // 
+      this.gbServerConnection.Controls.Add(this.btn_clientShutdown);
       this.gbServerConnection.Controls.Add(this.lbStatus);
       this.gbServerConnection.Controls.Add(this.lbStatusCaption);
@@ -395,5 +406,5 @@
       this.gbServerConnection.Location = new System.Drawing.Point(8, 6);
       this.gbServerConnection.Name = "gbServerConnection";
-      this.gbServerConnection.Size = new System.Drawing.Size(410, 105);
+      this.gbServerConnection.Size = new System.Drawing.Size(410, 115);
       this.gbServerConnection.TabIndex = 2;
       this.gbServerConnection.TabStop = false;
@@ -470,12 +481,13 @@
       this.lbPortCaption.Text = "Port:";
       // 
-      // pbGraph
-      // 
-      this.pbGraph.Location = new System.Drawing.Point(292, 19);
-      this.pbGraph.Name = "pbGraph";
-      this.pbGraph.Size = new System.Drawing.Size(112, 108);
-      this.pbGraph.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
-      this.pbGraph.TabIndex = 21;
-      this.pbGraph.TabStop = false;
+      // btn_clientShutdown
+      // 
+      this.btn_clientShutdown.Location = new System.Drawing.Point(257, 80);
+      this.btn_clientShutdown.Name = "btn_clientShutdown";
+      this.btn_clientShutdown.Size = new System.Drawing.Size(147, 23);
+      this.btn_clientShutdown.TabIndex = 8;
+      this.btn_clientShutdown.Text = "Shutdown Client";
+      this.btn_clientShutdown.UseVisualStyleBackColor = true;
+      this.btn_clientShutdown.Click += new System.EventHandler(this.btn_clientShutdown_Click);
       // 
       // HiveClientConsole
@@ -495,4 +507,5 @@
       this.gbCommon.ResumeLayout(false);
       this.gbCommon.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbGraph)).EndInit();
       this.gbEventLog.ResumeLayout(false);
       this.tabPage2.ResumeLayout(false);
@@ -501,5 +514,4 @@
       this.gbServerConnection.ResumeLayout(false);
       this.gbServerConnection.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbGraph)).EndInit();
       this.ResumeLayout(false);
 
@@ -548,4 +560,5 @@
     private System.Windows.Forms.Label label1;
     private System.Windows.Forms.PictureBox pbGraph;
+    private System.Windows.Forms.Button btn_clientShutdown;
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1087)
@@ -166,6 +166,6 @@
         done = allProgress / jobs.Length;
 
-        myPane.AddPieSlice(done, Color.Green, 0.1, "");
-        myPane.AddPieSlice(1-done, Color.Red, 0.1, "");
+        myPane.AddPieSlice(done, Color.Green, 0, "");
+        myPane.AddPieSlice(1-done, Color.Red, 0, "");
       }
       //Hides the slice labels
@@ -318,5 +318,14 @@
     }
 
+    private void btn_clientShutdown_Click(object sender, EventArgs e) {
+      DialogResult res = MessageBox.Show("Do you really want to shutdown the Hive Client?", "Hive Client Console", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
+      if (res == DialogResult.Yes) {
+        cccc.ShutdownClient();
+        this.Close();
+      }
+    }
+
     #endregion
+
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1087)
@@ -127,44 +127,44 @@
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABS
         CgAAAk1TRnQBSQFMAgEBAgEAAQQBAAEEAQABEAEAARABAAT/ASEBAAj/AUIBTQE2BwABNgMAASgDAAFA
-        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AUkCCQHxAwoB/wFfAgMB1AEgAgEBLCwAAUMCAQF0AUkCCQHx
-        AwoB/wFfAgMB1AEgAgEBLKQAAUcCCgHyAZMBZAEKAf8BvwF9AQoB/wG9AXoBCgH/AboBdwEKAf8BuAF0
-        AQoB/wG2AXIBCgH/AT4BJwEKAf8BPQIBAWUcAAFHAgoB8gIKAaQB/wIKAdYB/wIKAdQB/wIKAdIB/wIK
-        AdAB/wIKAc4B/wIKAUUB/wE9AgEBZZgAARQBEAEKAf8BxwGBAQoB/wHDAYEBCgH/AbEBbAEKAf8BsQFs
-        AQoB/wGxAWwBCgH/AbEBbAEKAf8BswFuAQoB/wG2AXIBCgH/AbQBbwEKAf8BWgIFAeQUAAIKARUB/wIK
-        AdwB/wIKAdkB/wIKAcoB/wIKAcoB/wIKAcoB/wIKAcoB/wIKAcsB/wIKAc4B/wIKAcwB/wFaAgUB5JAA
-        AwoB/wHLAYEBCgH/AbsBeAEKAf8BtgFyAQoB/wG2AXIBCgH/Ae4B3AHEBf8BvgGBAScB/wG2AXIBCgH/
-        AbYBcgEKAf8BtgFyAQoB/wG0AW8BCgH/AUkCAgGGDAADCgH/AgoB4AH/AgoB0gH/AgoBzgH/AjcB1gH/
-        AgoBzgH/AgoBzgH/AgoBzgH/Ag0BzgH/AgoBzgH/AgoBzgH/AgoBzAH/AUkCAgGGiAABLAIBAUIB0AGG
-        AQoB/wHHAYEBCgH/AboBdwEKAf8BugF3AQoB/wG6AXcBCgH/AdABnAFbBf8BugF3AQoB/wG6AXcBCgH/
-        AboBdwEKAf8BugF3AQoB/wG2AXIBCgH/AV4BOQEKAf8IAAEsAgEBQgIKAeQB/wIKAdwB/wIKAdIB/wKf
-        Ae0F/wJQAd4B/wIKAdIB/wL0Af0F/wINAdIB/wIKAdIB/wIKAc4B/wIKAWkB/4gAAwoB/wHSAYkBCgH/
-        Ab8BfQEKAf8BvwF9AQoB/wG/AX0BCgH/Ab8BfQEKAf8B0wGfAVsF/wG/AX0BCgH/Ab8BfQEKAf8BvwF9
-        AQoB/wG/AX0BCgH/Ab4BfAEKAf8BtgFyAQoB/wE2AgEBVwQAAwoB/wIKAeUB/wIKAdYB/wIKAdYN/wL1
-        Af0J/wLiAfoB/wIKAdYB/wIKAdUB/wIKAc4B/wE2AgEBV4QAAVIBOgEKAf8B1AGMAQoB/wHEAYEBCgH/
-        AcQBgQEKAf8BxAGBAQoB/wHEAYEBCgH/AdcBpAFcBf8BxAGBAQoB/wHEAYEBCgH/AcQBgQEKAf8BxAGB
-        AQoB/wHEAYEBCgH/AbgBdAEKAf8BUwIHAewEAAIKAVgB/wIKAegB/wIKAdoB/wIKAdoB/wIKAdoR/wLi
-        AfoB/wIKAdoB/wIKAdoB/wIKAdoB/wIKAdAB/wFTAgcB7IQAAXIBTwEKAf8B1wGOAQoB/wHJAYEBCgH/
-        AckBgQEKAf8ByQGBAQoB/wHJAYEBCgn/AckBgQEKAf8ByQGBAQoB/wHJAYEBCgH/AckBgQEKAf8ByQGB
-        AQoB/wG6AXcBCgH/AwoB/wQAAgoBewH/AgoB6QH/AgoB3gH/AgoB3gH/AgoB3gH/AvQB/Q3/AlAB5wH/
-        AgoB3gH/AgoB3gH/AgoB3gH/AgoB0gH/AwoB/4QAAWIBQAEKAf8B2QGRAQoB/wHOAYMBCgH/Ac4BgwEK
-        Af8BzgGDAQoB/wHOAYMBCgH/Ac4BgwEKAf8B1wGcATsB/wHOAYMBCgH/Ac4BgwEKAf8BzgGDAQoB/wHO
-        AYMBCgH/Ac4BgwEKAf8BvQF6AQoB/wEpAgoB+QQAAQoBDwFhAf8CCgHsAf8CCgHiAf8CCgHiAf8C9AH9
-        Ff8CUAHqAf8CCgHiAf8CCgHiAf8CCgHUAf8BKQIKAfmEAAENAQsBCgH/AdsBlAEKAf8B0gGJAQoB/wHS
-        AYkBCgH/AdIBiQEKAf8B0gGJAQoB/wHSAYkBCgH/AesBywGQAf8B0gGJAQoB/wHSAYkBCgH/AdIBiQEK
-        Af8B0gGJAQoB/wHEAYEBCgH/Ab8BfQEKAf8BUQICAZsEAAIKAQ0B/wIKAe0B/wIKAeYB/wIKAeUB/wL9
-        Af4F/wLiAfwB/wIKAeUJ/wJ7AfEB/wIKAeUB/wIKAdoB/wIKAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEK
-        Af8B2wGUAQoB/wHXAY4BCgH/AdcBjgEKAf8B1wGOAQoB/wH7AfYB6wX/AdcBjgEKAf8B1wGOAQoB/wHX
-        AY4BCgH/AdYBjQEKAf8BxAGBAQoB/wGpAWsBCgH/CAABWAICAbIBCgEUAe8B/wIKAe0B/wIKAekB/wIK
-        AekB/wLhAfwB/wIKAekB/wIKAekB/wIKAekB/wJ7AfMB/wIKAekB/wIKAegB/wIKAdoB/wEKARIBnQH/
-        jAABRAEpAQoB/wHdAZcBCgH/AdsBlAEKAf8B2wGUAQoB/wHbAZQBCgH/AdsBlAEKAf8B3AGXARAB/wHb
-        AZQBCgH/AdsBlAEKAf8B1QGMAQoB/wHJAYEBCgH/AdEBiAEKAf8BHgIKAfwMAAIKAT4B/wIKAe8B/wIK
-        Ae0B/wIKAe0B/wIKAe0B/wIKAe0B/wIKAe0B/wIKAe0B/wIKAe0B/wIKAegB/wIKAd4B/wEKAR0B4gH/
-        AR4CCgH8jAABGQIBASEBkAFeAQoB/wHfAZkBCgH/AdsBlAEKAf8B2QGRAQoB/wHYAZABCgH/AdgBkAEK
-        Af8B0wGKAQoB/wHQAYYBCgH/Ac4BgwEKAf8B2gGSAQoB/wEVARABCgH/EAABGQIBASECCgGHAf8BCgEQ
-        AfEB/wIKAe0B/wIKAewB/wIKAesB/wIKAesB/wIKAeYB/wIKAeQB/wIKAeIB/wEKAScB5gH/AgoBFAH/
-        lAABEgIBARYBLwEhAQoB/wHSAYkBCgH/AeIBnQEKAf8B2QGRAQoB/wHXAY4BCgH/AdUBjAEKAf8B4QGb
-        AQoB/wHOAYQBCgH/ARQCCgH+GAABEgIBARYCCgEuAf8BCgEQAdMB/wEKASEB9AH/AgoB7AH/AgoB6QH/
-        AQoBCwHoAf8BCgEpAfAB/wIKAcwB/wEUAgoB/qAAAUYCAQF9AwoB/wFbAUIBCgH/AXwBWwEKAf8BPAEt
-        AQoB/wEUAgoB/gEUAgEBGiQAAUYCAQF9AwoB/wIKAV4B/wIKAYEB/wIKAT4B/wEUAgoB/gEUAgEBGv8A
+        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AU0CCQHxAwsB/wFgAgMB1AEgAgEBLCwAAUMCAQF0AU0CCQHx
+        AwsB/wFgAgMB1AEgAgEBLKQAAUoCCgHyAZMBZQELAf8BvwF+AQsB/wG9AXsBCwH/AboBeAELAf8BuAF1
+        AQsB/wG2AXMBCwH/AT8BKAELAf8BPQIBAWUcAAFKAgoB8gILAaQB/wILAdYB/wILAdQB/wILAdIB/wIL
+        AdAB/wILAc4B/wILAUYB/wE9AgEBZZgAARUBEQELAf8BxwGBAQsB/wHDAYEBCwH/AbEBbQELAf8BsQFt
+        AQsB/wGxAW0BCwH/AbEBbQELAf8BswFvAQsB/wG2AXMBCwH/AbQBcAELAf8BXAIFAeQUAAILARYB/wIL
+        AdwB/wILAdkB/wILAcoB/wILAcoB/wILAcoB/wILAcoB/wILAcsB/wILAc4B/wILAcwB/wFcAgUB5JAA
+        AwsB/wHLAYEBCwH/AbsBeQELAf8BtgFzAQsB/wG2AXMBCwH/Ae4B3AHEBf8BvgGBASgB/wG2AXMBCwH/
+        AbYBcwELAf8BtgFzAQsB/wG0AXABCwH/AUkCAgGGDAADCwH/AgsB4AH/AgsB0gH/AgsBzgH/AjgB1gH/
+        AgsBzgH/AgsBzgH/AgsBzgH/Ag4BzgH/AgsBzgH/AgsBzgH/AgsBzAH/AUkCAgGGiAABLAIBAUIB0AGG
+        AQsB/wHHAYEBCwH/AboBeAELAf8BugF4AQsB/wG6AXgBCwH/AdABnAFcBf8BugF4AQsB/wG6AXgBCwH/
+        AboBeAELAf8BugF4AQsB/wG2AXMBCwH/AV8BOgELAf8IAAEsAgEBQgILAeQB/wILAdwB/wILAdIB/wKf
+        Ae0F/wJRAd4B/wILAdIB/wL0Af0F/wIOAdIB/wILAdIB/wILAc4B/wILAWoB/4gAAwsB/wHSAYkBCwH/
+        Ab8BfgELAf8BvwF+AQsB/wG/AX4BCwH/Ab8BfgELAf8B0wGfAVwF/wG/AX4BCwH/Ab8BfgELAf8BvwF+
+        AQsB/wG/AX4BCwH/Ab4BfQELAf8BtgFzAQsB/wE2AgEBVwQAAwsB/wILAeUB/wILAdYB/wILAdYN/wL1
+        Af0J/wLiAfoB/wILAdYB/wILAdUB/wILAc4B/wE2AgEBV4QAAVMBOwELAf8B1AGMAQsB/wHEAYEBCwH/
+        AcQBgQELAf8BxAGBAQsB/wHEAYEBCwH/AdcBpAFdBf8BxAGBAQsB/wHEAYEBCwH/AcQBgQELAf8BxAGB
+        AQsB/wHEAYEBCwH/AbgBdQELAf8BVwIHAewEAAILAVkB/wILAegB/wILAdoB/wILAdoB/wILAdoR/wLi
+        AfoB/wILAdoB/wILAdoB/wILAdoB/wILAdAB/wFXAgcB7IQAAXMBUAELAf8B1wGOAQsB/wHJAYEBCwH/
+        AckBgQELAf8ByQGBAQsB/wHJAYEBCwn/AckBgQELAf8ByQGBAQsB/wHJAYEBCwH/AckBgQELAf8ByQGB
+        AQsB/wG6AXgBCwH/AwsB/wQAAgsBfAH/AgsB6QH/AgsB3gH/AgsB3gH/AgsB3gH/AvQB/Q3/AlEB5wH/
+        AgsB3gH/AgsB3gH/AgsB3gH/AgsB0gH/AwsB/4QAAWMBQQELAf8B2QGRAQsB/wHOAYMBCwH/Ac4BgwEL
+        Af8BzgGDAQsB/wHOAYMBCwH/Ac4BgwELAf8B1wGcATwB/wHOAYMBCwH/Ac4BgwELAf8BzgGDAQsB/wHO
+        AYMBCwH/Ac4BgwELAf8BvQF7AQsB/wEsAgsB+QQAAQsBEAFiAf8CCwHsAf8CCwHiAf8CCwHiAf8C9AH9
+        Ff8CUQHqAf8CCwHiAf8CCwHiAf8CCwHUAf8BLAILAfmEAAEOAQwBCwH/AdsBlAELAf8B0gGJAQsB/wHS
+        AYkBCwH/AdIBiQELAf8B0gGJAQsB/wHSAYkBCwH/AesBywGQAf8B0gGJAQsB/wHSAYkBCwH/AdIBiQEL
+        Af8B0gGJAQsB/wHEAYEBCwH/Ab8BfgELAf8BUQICAZsEAAILAQ4B/wILAe0B/wILAeYB/wILAeUB/wL9
+        Af4F/wLiAfwB/wILAeUJ/wJ8AfEB/wILAeUB/wILAdoB/wILAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEL
+        Af8B2wGUAQsB/wHXAY4BCwH/AdcBjgELAf8B1wGOAQsB/wH7AfYB6wX/AdcBjgELAf8B1wGOAQsB/wHX
+        AY4BCwH/AdYBjQELAf8BxAGBAQsB/wGpAWwBCwH/CAABWAICAbIBCwEVAe8B/wILAe0B/wILAekB/wIL
+        AekB/wLhAfwB/wILAekB/wILAekB/wILAekB/wJ8AfMB/wILAekB/wILAegB/wILAdoB/wELARMBnQH/
+        jAABRQEqAQsB/wHdAZcBCwH/AdsBlAELAf8B2wGUAQsB/wHbAZQBCwH/AdsBlAELAf8B3AGXAREB/wHb
+        AZQBCwH/AdsBlAELAf8B1QGMAQsB/wHJAYEBCwH/AdEBiAELAf8BIQILAfwMAAILAT8B/wILAe8B/wIL
+        Ae0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAegB/wILAd4B/wELAR4B4gH/
+        ASECCwH8jAABGQIBASEBkAFfAQsB/wHfAZkBCwH/AdsBlAELAf8B2QGRAQsB/wHYAZABCwH/AdgBkAEL
+        Af8B0wGKAQsB/wHQAYYBCwH/Ac4BgwELAf8B2gGSAQsB/wEWAREBCwH/EAABGQIBASECCwGHAf8BCwER
+        AfEB/wILAe0B/wILAewB/wILAesB/wILAesB/wILAeYB/wILAeQB/wILAeIB/wELASgB5gH/AgsBFQH/
+        lAABEgIBARYBMAEiAQsB/wHSAYkBCwH/AeIBnQELAf8B2QGRAQsB/wHXAY4BCwH/AdUBjAELAf8B4QGb
+        AQsB/wHOAYQBCwH/ARYCCwH+GAABEgIBARYCCwEvAf8BCwERAdMB/wELASIB9AH/AgsB7AH/AgsB6QH/
+        AQsBDAHoAf8BCwEqAfAB/wILAcwB/wEWAgsB/qAAAUYCAQF9AwsB/wFcAUMBCwH/AX0BXAELAf8BPQEu
+        AQsB/wEWAgsB/gEUAgEBGiQAAUYCAQF9AwsB/wILAV8B/wILAYEB/wILAT8B/wEWAgsB/gEUAgEBGv8A
         kQABQgFNAT4HAAE+AwABKAMAAUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAfwBHwH8AR8EAAHwAQcB8AEH
         BAAB4AEDAeABAwQAAcABAQHAAQEEAAGAAQEBgAEBBAABgAEAAYAFAAGAAQABgAUAAYABAAGABQABgAEA
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/Reference.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/Reference.cs	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/Reference.cs	(revision 1087)
@@ -353,4 +353,12 @@
         
         HeuristicLab.Hive.Client.Console.ClientService.ConnectionContainer EndGetCurrentConnection(System.IAsyncResult result);
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientConsoleCommunicator/ShutdownClient", ReplyAction="http://tempuri.org/IClientConsoleCommunicator/ShutdownClientResponse")]
+        void ShutdownClient();
+        
+        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientConsoleCommunicator/ShutdownClient", ReplyAction="http://tempuri.org/IClientConsoleCommunicator/ShutdownClientResponse")]
+        System.IAsyncResult BeginShutdownClient(System.AsyncCallback callback, object asyncState);
+        
+        void EndShutdownClient(System.IAsyncResult result);
     }
     
@@ -450,4 +458,10 @@
         private System.Threading.SendOrPostCallback onGetCurrentConnectionCompletedDelegate;
         
+        private BeginOperationDelegate onBeginShutdownClientDelegate;
+        
+        private EndOperationDelegate onEndShutdownClientDelegate;
+        
+        private System.Threading.SendOrPostCallback onShutdownClientCompletedDelegate;
+        
         public ClientConsoleCommunicatorClient() {
         }
@@ -478,4 +492,6 @@
         
         public event System.EventHandler<GetCurrentConnectionCompletedEventArgs> GetCurrentConnectionCompleted;
+        
+        public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> ShutdownClientCompleted;
         
         public HeuristicLab.Hive.Client.Console.ClientService.StatusCommons GetStatusInfos() {
@@ -718,4 +734,51 @@
             base.InvokeAsync(this.onBeginGetCurrentConnectionDelegate, null, this.onEndGetCurrentConnectionDelegate, this.onGetCurrentConnectionCompletedDelegate, userState);
         }
+        
+        public void ShutdownClient() {
+            base.Channel.ShutdownClient();
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public System.IAsyncResult BeginShutdownClient(System.AsyncCallback callback, object asyncState) {
+            return base.Channel.BeginShutdownClient(callback, asyncState);
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public void EndShutdownClient(System.IAsyncResult result) {
+            base.Channel.EndShutdownClient(result);
+        }
+        
+        private System.IAsyncResult OnBeginShutdownClient(object[] inValues, System.AsyncCallback callback, object asyncState) {
+            return this.BeginShutdownClient(callback, asyncState);
+        }
+        
+        private object[] OnEndShutdownClient(System.IAsyncResult result) {
+            this.EndShutdownClient(result);
+            return null;
+        }
+        
+        private void OnShutdownClientCompleted(object state) {
+            if ((this.ShutdownClientCompleted != null)) {
+                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+                this.ShutdownClientCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
+            }
+        }
+        
+        public void ShutdownClientAsync() {
+            this.ShutdownClientAsync(null);
+        }
+        
+        public void ShutdownClientAsync(object userState) {
+            if ((this.onBeginShutdownClientDelegate == null)) {
+                this.onBeginShutdownClientDelegate = new BeginOperationDelegate(this.OnBeginShutdownClient);
+            }
+            if ((this.onEndShutdownClientDelegate == null)) {
+                this.onEndShutdownClientDelegate = new EndOperationDelegate(this.OnEndShutdownClient);
+            }
+            if ((this.onShutdownClientCompletedDelegate == null)) {
+                this.onShutdownClientCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnShutdownClientCompleted);
+            }
+            base.InvokeAsync(this.onBeginShutdownClientDelegate, null, this.onEndShutdownClientDelegate, this.onShutdownClientCompletedDelegate, userState);
+        }
     }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.wsdl
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.wsdl	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.wsdl	(revision 1087)
@@ -72,4 +72,10 @@
     <wsdl:part name="parameters" element="tns:GetCurrentConnectionResponse" />
   </wsdl:message>
+  <wsdl:message name="IClientConsoleCommunicator_ShutdownClient_InputMessage">
+    <wsdl:part name="parameters" element="tns:ShutdownClient" />
+  </wsdl:message>
+  <wsdl:message name="IClientConsoleCommunicator_ShutdownClient_OutputMessage">
+    <wsdl:part name="parameters" element="tns:ShutdownClientResponse" />
+  </wsdl:message>
   <wsdl:portType name="IClientConsoleCommunicator">
     <wsdl:operation name="GetStatusInfos">
@@ -92,4 +98,8 @@
       <wsdl:input wsaw:Action="http://tempuri.org/IClientConsoleCommunicator/GetCurrentConnection" message="tns:IClientConsoleCommunicator_GetCurrentConnection_InputMessage" />
       <wsdl:output wsaw:Action="http://tempuri.org/IClientConsoleCommunicator/GetCurrentConnectionResponse" message="tns:IClientConsoleCommunicator_GetCurrentConnection_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="ShutdownClient">
+      <wsdl:input wsaw:Action="http://tempuri.org/IClientConsoleCommunicator/ShutdownClient" message="tns:IClientConsoleCommunicator_ShutdownClient_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/IClientConsoleCommunicator/ShutdownClientResponse" message="tns:IClientConsoleCommunicator_ShutdownClient_OutputMessage" />
     </wsdl:operation>
   </wsdl:portType>
@@ -143,4 +153,13 @@
       </wsdl:output>
     </wsdl:operation>
+    <wsdl:operation name="ShutdownClient">
+      <soap12:operation soapAction="http://tempuri.org/IClientConsoleCommunicator/ShutdownClient" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
   </wsdl:binding>
   <wsdl:service name="ClientConsoleCommunicator">
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.xsd
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.xsd	(revision 1086)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Service References/ClientService/service.xsd	(revision 1087)
@@ -60,3 +60,13 @@
     </xs:complexType>
   </xs:element>
+  <xs:element name="ShutdownClient">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="ShutdownClientResponse">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
 </xs:schema>