Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.Designer.cs	(revision 1089)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   partial class AddJobForm {
     /// <summary>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddJobForm.cs	(revision 1089)
@@ -32,5 +32,5 @@
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   public partial class AddJobForm : Form {
 
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.Designer.cs	(revision 1089)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   partial class AddUserForm {
     /// <summary>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/AddUserForm.cs	(revision 1089)
@@ -32,5 +32,5 @@
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   public partial class AddUserForm : Form {
 
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 1089)
@@ -9,5 +9,5 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Hive.Server.Console</RootNamespace>
+    <RootNamespace>HeuristicLab.Hive.Server.ServerConsole</RootNamespace>
     <AssemblyName>HeuristicLab.Hive.Server.Console-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.Designer.cs	(revision 1089)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   partial class HiveServerConsole {
     /// <summary>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 1089)
@@ -34,5 +34,5 @@
 using System.Net;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
 
   public partial class HiveServerConsole : Form {
@@ -80,8 +80,6 @@
           if ((IPAddress.TryParse(tbIp.Text, out ipAdress)) &&
             int.TryParse(tbPort.Text, out port)) {
-            IUserRoleManager userManager =
-          ServiceLocator.GetUserRoleManager();
-            ResponseList<User> user = userManager.GetAllUsers();
-            user = userManager.GetAllUsers();
+            IServerConsoleFacade scf = ServiceLocator.GetServerConsoleFacade();
+            Response resp = scf.Login(tbUserName.Text, tbPwd.Text);
           } else {
             lblError.Text = "IP or Port not valid";
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleApplication.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleApplication.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleApplication.cs	(revision 1089)
@@ -26,5 +26,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   [ClassInfo(Name = "Hive Server Console", Description = "Console Application for the Hive Server.", AutoRestart = true)]
   class HiveServerConsoleApplication : ApplicationBase {
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1089)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Server.Console {
+﻿namespace HeuristicLab.Hive.Server.ServerConsole {
   partial class HiveServerManagementConsole {
     /// <summary>
@@ -25,7 +25,4 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.Windows.Forms.ListViewItem listViewItem1 = new System.Windows.Forms.ListViewItem(new string[] {
-            "",
-            "Test"}, -1);
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveServerManagementConsole));
       this.menuStrip1 = new System.Windows.Forms.MenuStrip();
@@ -41,4 +38,6 @@
       this.scClientControl = new System.Windows.Forms.SplitContainer();
       this.tvClientControl = new System.Windows.Forms.TreeView();
+      this.plClientDetails = new System.Windows.Forms.Panel();
+      this.pbClientControl = new System.Windows.Forms.PictureBox();
       this.lvClientControl = new System.Windows.Forms.ListView();
       this.ilClientControl = new System.Windows.Forms.ImageList(this.components);
@@ -56,4 +55,7 @@
       this.listView2 = new System.Windows.Forms.ListView();
       this.timerSyncronize = new System.Windows.Forms.Timer(this.components);
+      this.bindingSource1 = new System.Windows.Forms.BindingSource(this.components);
+      this.btnClose = new System.Windows.Forms.Button();
+      this.lblClientName = new System.Windows.Forms.Label();
       this.menuStrip1.SuspendLayout();
       this.tcManagementConsole.SuspendLayout();
@@ -62,4 +64,6 @@
       this.scClientControl.Panel2.SuspendLayout();
       this.scClientControl.SuspendLayout();
+      this.plClientDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
       this.tpJobControl.SuspendLayout();
       this.scJobControl.Panel1.SuspendLayout();
@@ -70,4 +74,5 @@
       this.scUserControl.Panel2.SuspendLayout();
       this.scUserControl.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.bindingSource1)).BeginInit();
       this.SuspendLayout();
       // 
@@ -173,4 +178,5 @@
       // scClientControl.Panel2
       // 
+      //this.scClientControl.Panel2.Controls.Add(this.plClientDetails);
       this.scClientControl.Panel2.Controls.Add(this.lvClientControl);
       this.scClientControl.Size = new System.Drawing.Size(637, 346);
@@ -186,4 +192,24 @@
       this.tvClientControl.TabIndex = 0;
       // 
+      // plClientDetails
+      // 
+      this.plClientDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plClientDetails.Controls.Add(this.lblClientName);
+      this.plClientDetails.Controls.Add(this.btnClose);
+      this.plClientDetails.Controls.Add(this.pbClientControl);
+      this.plClientDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plClientDetails.Location = new System.Drawing.Point(0, 0);
+      this.plClientDetails.Name = "plClientDetails";
+      this.plClientDetails.Size = new System.Drawing.Size(494, 346);
+      this.plClientDetails.TabIndex = 1;
+      // 
+      // pbClientControl
+      // 
+      this.pbClientControl.Location = new System.Drawing.Point(3, 4);
+      this.pbClientControl.Name = "pbClientControl";
+      this.pbClientControl.Size = new System.Drawing.Size(60, 50);
+      this.pbClientControl.TabIndex = 0;
+      this.pbClientControl.TabStop = false;
+      // 
       // lvClientControl
       // 
@@ -191,6 +217,4 @@
       this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
       this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
-      this.lvClientControl.Items.AddRange(new System.Windows.Forms.ListViewItem[] {
-            listViewItem1});
       this.lvClientControl.LargeImageList = this.ilClientControl;
       this.lvClientControl.Location = new System.Drawing.Point(0, 0);
@@ -199,4 +223,5 @@
       this.lvClientControl.TabIndex = 0;
       this.lvClientControl.UseCompatibleStateImageBehavior = false;
+      this.lvClientControl.Click += new System.EventHandler(this.OnClientClicked);
       // 
       // ilClientControl
@@ -335,4 +360,23 @@
       // 
       this.timerSyncronize.Interval = 10000;
+      // 
+      // btnClose
+      // 
+      this.btnClose.Location = new System.Drawing.Point(414, 4);
+      this.btnClose.Name = "btnClose";
+      this.btnClose.Size = new System.Drawing.Size(75, 23);
+      this.btnClose.TabIndex = 1;
+      this.btnClose.Text = "Close";
+      this.btnClose.UseVisualStyleBackColor = true;
+      this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
+      // 
+      // lblClientName
+      // 
+      this.lblClientName.AutoSize = true;
+      this.lblClientName.Location = new System.Drawing.Point(79, 19);
+      this.lblClientName.Name = "lblClientName";
+      this.lblClientName.Size = new System.Drawing.Size(35, 13);
+      this.lblClientName.TabIndex = 2;
+      this.lblClientName.Text = "label1";
       // 
       // HiveServerManagementConsole
@@ -354,4 +398,7 @@
       this.scClientControl.Panel2.ResumeLayout(false);
       this.scClientControl.ResumeLayout(false);
+      this.plClientDetails.ResumeLayout(false);
+      this.plClientDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
       this.tpJobControl.ResumeLayout(false);
       this.scJobControl.Panel1.ResumeLayout(false);
@@ -362,4 +409,5 @@
       this.scUserControl.Panel2.ResumeLayout(false);
       this.scUserControl.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.bindingSource1)).EndInit();
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -396,4 +444,9 @@
     private System.Windows.Forms.Timer timerSyncronize;
     private System.Windows.Forms.ImageList ilJobControl;
+    private System.Windows.Forms.BindingSource bindingSource1;
+    private System.Windows.Forms.Panel plClientDetails;
+    private System.Windows.Forms.PictureBox pbClientControl;
+    private System.Windows.Forms.Button btnClose;
+    private System.Windows.Forms.Label lblClientName;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1089)
@@ -32,5 +32,5 @@
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
 
   public delegate void closeForm(bool cf, bool error);
@@ -45,4 +45,5 @@
     ResponseList<UserGroup> userGroups = null;
     ResponseList<User> usersList = null;
+    ListView lvClientDetails = null;
 
     public HiveServerManagementConsole() {
@@ -91,4 +92,5 @@
         }
         lvClientControl.Groups.Add(lvunsorted);
+        lvClientControl.Sorting = SortOrder.Ascending;
       }
       catch (Exception ex) {
@@ -171,5 +173,4 @@
         this.Close();
       }
-
     }
 
@@ -195,5 +196,4 @@
         closeFormEvent(true, false);
       }
-
     }
 
@@ -214,4 +214,20 @@
     }
 
+    private void OnClientClicked(object sender, EventArgs e) {
+      scClientControl.Panel2.Controls.Clear();
+      scClientControl.Panel2.Controls.Add(plClientDetails);
+      pbClientControl.Image = ilClientControl.Images[0];
+      lblClientName.Text = sender.ToString();
+
+      
+    }
+
+    private void btnClose_Click(object sender, EventArgs e) {
+      scClientControl.Panel2.Controls.Clear();
+      scClientControl.Panel2.Controls.Add(lvClientControl);
+    }
+
+
+
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1089)
@@ -349,3 +349,6 @@
     <value>341, 9</value>
   </metadata>
+  <metadata name="bindingSource1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>580, 13</value>
+  </metadata>
 </root>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Resources.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Resources.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Resources.Designer.cs	(revision 1089)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Server.Console.Properties {
+namespace HeuristicLab.Hive.Server.ServerConsole.Properties {
     using System;
     
@@ -40,5 +40,5 @@
             get {
                 if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Server.Console.Properties.Resources", typeof(Resources).Assembly);
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Server.ServerConsole.Properties.Resources", typeof(Resources).Assembly);
                     resourceMan = temp;
                 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Settings.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Settings.Designer.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/Properties/Settings.Designer.cs	(revision 1089)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Server.Console.Properties {
+namespace HeuristicLab.Hive.Server.ServerConsole.Properties {
     
     
Index: trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1084)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1089)
@@ -7,5 +7,5 @@
 using System.ServiceModel;
 
-namespace HeuristicLab.Hive.Server.Console {
+namespace HeuristicLab.Hive.Server.ServerConsole {
   internal class ServiceLocator {
     private static IServerConsoleFacade serverConsoleFacade = null;